## org.hibernate.testing.junit
Class DialectChecks

    java.lang.Object
      org.hibernate.testing.junit.DialectChecks

Direct Known Subclasses:
  DialectChecks.SupportsColumnCheck, DialectChecks.SupportsExpectedLobUsagePattern, DialectChecks.SupportsIdentityColumns, DialectChecks.SupportsSequences

    public abstract class DialectChecks

extends Object

Container class for different implementation of the `DialectCheck` interface.

Author:
  Hardy Ferentschik

Nested Class Summary
`static class` `DialectChecks.SupportsColumnCheck`
`static class` `DialectChecks.SupportsExpectedLobUsagePattern`
`static class` `DialectChecks.SupportsIdentityColumns`
`static class` `DialectChecks.SupportsSequences`

Constructor Summary
`DialectChecks()`

Method Summary
`abstract boolean` `include(Dialect dialect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialectChecks

    public DialectChecks()

Method Detail

### include

    public abstract boolean include(Dialect dialect)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.